# request

Module used for retrieving date using XMLHttpRequest

Source:
  - constructors/request.js, line 15
See:
  - module:request.RequestModule

##### Example

    Application.require('request').then(function (request) {
    	 request()
    		 .url('/data.json')
    		 .response('json')
    		 .then(function (data) {
    			 console.log(data);
    		 }, console.error);
    }, console.error);

##### Returns:

Type
  RequestModuleConstructor

### Classes

RequestModule

### Methods

#### (static) params-parser(value, pattern, optsopt) → {Object.<string, string>}

Source:
  - constructors/request/params-parser.js, line 1

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`value` | string |  |
`pattern` | string |  |

`opts`

object

<optional>

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`cache` | object | <optional> |  | object where reg expressions will be cached
`mapper` | function | <optional> |  | function that will decode value, default is decodeURIComponent
`boud` | string | <optional> | `"\x02\x00\x00\x03"` | function that will decode value, default is decodeURIComponent
`ret` | object | <optional> |  | object to be updated with found params
`tableIndex` | Array.<string> | <optional> |  | list of parameters' names ( @experimental )
`pRegExp` | string | <optional> | `"\\:([a-z][a-z0-9]+)"` | RegExp params' chars
`matchGroup` | string | <optional> | `"([^\\/]+)"` | RegExp value
`fixedEnd` | string | <optional> | `true` | RegExp value

##### Returns:

Type
  Object.<string, string>

### Type Definitions

#### RequestModuleConstructor() → {RequestModule}

Source:
  - constructors/request.js, line 9

##### Returns:

Type
  RequestModule